Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(582)

Unified Diff: build/install-chroot.sh

Issue 11191019: Stop cron during cleanup. (Closed) Base URL: http://git.chromium.org/chromium/src.git@master
Patch Set: Created 8 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-chroot.sh
diff --git a/build/install-chroot.sh b/build/install-chroot.sh
index 1743703cfbe02b572e8f404bfb412adbb3a93276..adffa186e5ae982bb377d5c85d77343f88e52bdd 100755
--- a/build/install-chroot.sh
+++ b/build/install-chroot.sh
@@ -663,12 +663,13 @@ if [ -x "${script}" ]; then
cp "${script}" "${tmp_script}"
fi
# Some distributions automatically start an instance of the system-
- # wide dbus daemon or of the logging daemon, when installing the Chrome
- # build depencies. This prevents the chroot session from being closed.
- # So, we always try to shut down any running instance of dbus and
- # rsyslog.
- sudo "${target%bit}" sh -c "${script} --no-lib32;
+ # wide dbus daemon, cron daemon or of the logging daemon, when
+ # installing the Chrome build depencies. This prevents the chroot
+ # session from being closed. So, we always try to shut down any running
+ # instance of dbus and rsyslog.
+ sudo /usr/local/bin/"${target%bit}" sh -c "${script} --no-lib32;
rc=$?;
+ /etc/init.d/cron stop >/dev/null 2>&1 || :;
/etc/init.d/rsyslog stop >/dev/null 2>&1 || :;
/etc/init.d/dbus stop >/dev/null 2>&1 || :;
exit $rc"
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698